Bug 120295 - A cell with comment text prevent a cell event
Summary: A cell with comment text prevent a cell event
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2018-10-03 21:11 UTC by Thierry Munoz
Modified: 2019-10-27 03:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc document to see the cells concerned by the error (9.92 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-10-03 21:25 UTC, Thierry Munoz
Details
video showing the bug (1.79 MB, video/mp4)
2018-10-04 16:03 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Munoz 2018-10-03 21:11:41 UTC
Description:
When a cell has a comment text, when we select the cells near the commented cell, the comment is recognized but not the cell "below". This occurs if the comment is displayed or not.
Installing Xray extension helps to understand this problem.
See the attachment to see this behavior.

Steps to Reproduce:
1.In a sheet, create a "double-click" event and attach a macro that works for a cell.
2. In a cell, add a comment text.
3. Near the commented cell (above the cells where the comment is normally displayed), make a double-click.
4. An error occurs because the double-click is for the comment not for the cell.

Actual Results:
An error

Expected Results:
The comment text shouldn't interact. It's like the comment text (displayed or not) has priority over the cell even though the cell is selected.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.0.6.2
Build ID: 1:6.0.6-0ubuntu0.18.04.1
Threads CPU : 8; OS : Linux 4.15; UI Render : par défaut; VCL: gtk3; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 1 Thierry Munoz 2018-10-03 21:25:45 UTC
Created attachment 145362 [details]
Calc document to see the cells concerned by the error

In the sheet, the green cell has a comment text.
Double-clik on the red cells, causes an error with the macro attached at the double-click event of the sheet.
The macro works for the cells : it displays the cellStyle name.
The red cells are below where the comment text is displayed.
No problem with the other cells.

When I activate the xray extension, we can see that the object are different : ScCellObj for the cells with no problem, and com.sun.star.comp.sc.ScShapeObj for the cells below the comment text.
Comment 2 BogdanB 2018-10-04 16:03:07 UTC
Created attachment 145386 [details]
video showing the bug

I hope this is the bug you reported. See the video.

Reproduced on:
Version: 6.2.0.0.alpha0+
Build ID: a906b68a9fff30c2af5c03189e59c1952cd3f69f
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-09-30_19:07:59
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded
Comment 3 Thierry Munoz 2018-10-04 19:21:11 UTC
Hi BogdanB,
Yes, the video shows the bug.
Regards
Comment 4 Thierry Munoz 2018-10-04 22:25:21 UTC
Hi,
I noticed that this bug appears only if you have displayed the comment once. Until the comment isn't displayed, no error occurs.
But once the comment has appeared, even if it is no more displayed, the error occurs : it's like the comment remained : it's not visible but it's still here.
Comment 5 Thierry Munoz 2018-10-04 23:17:43 UTC
Other observation :
If the comment is displayed all the time (with the option chosen by right click in the cell with the comment), no error.
Comment 6 Xisco Faulí 2018-10-16 17:06:36 UTC
I can reproduce it in

Versión: 6.1.2.1
Id. de compilación: 65905a128db06ba48db947242809d14d3f9a93fe
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group threade

but not in

Version: 5.4.0.0.alpha1+
Build ID: 9feb7f7039a3b59974cbf266922177e961a52dd1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 7 raal 2018-10-26 12:21:23 UTC
(In reply to Xisco Faulí from comment #6)
> I can reproduce it in
> 
> Versión: 6.1.2.1
> Id. de compilación: 65905a128db06ba48db947242809d14d3f9a93fe
> Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
> Configuración regional: es-ES (es_ES); Calc: group threade
> 
> but not in
> 
> Version: 5.4.0.0.alpha1+
> Build ID: 9feb7f7039a3b59974cbf266922177e961a52dd1
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); Calc: group

I reproduced the bug with Version: 4.4.0.0.alpha0+
Build ID: dea4a3b9d7182700abeb4dc756a24a9e8dea8474, Windows7
Comment 8 QA Administrators 2019-10-27 03:38:05 UTC
Dear Thierry Munoz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug